using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 客户名下的公众号/小程序
    /// </summary>
    [SugarTable("YB_BusinessOffice", TableDescription = "客户名下的公众号/小程序", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_BusinessOffice
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 客户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "客户ID")]
        public System.Int32 BusinessId { get; set; }

        /// <summary>
        /// 公众号appid
        /// </summary>
        [SugarColumn(ColumnDescription = "公众号appid", ColumnDataType = "varchar(50)")]
        public System.String AppId { get; set; }

        /// <summary>
        /// 添加时间
        /// </summary>
        [SugarColumn(ColumnDescription = "添加时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
